Package org.apache.commons.io.channels

# Class ByteArraySeekableByteChannel.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<ByteArraySeekableByteChannel,ByteArraySeekableByteChannel.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<ByteArraySeekableByteChannel,ByteArraySeekableByteChannel.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<ByteArraySeekableByteChannel,ByteArraySeekableByteChannel.Builder>
org.apache.commons.io.channels.ByteArraySeekableByteChannel.Builder

All Implemented Interfaces:
  `IOSupplier<ByteArraySeekableByteChannel>`

Enclosing class:
  `ByteArraySeekableByteChannel`

public static class ByteArraySeekableByteChannel.Builder extends AbstractStreamBuilder<ByteArraySeekableByteChannel,ByteArraySeekableByteChannel.Builder>
Builds for `ByteArraySeekableByteChannel`.

Building a read-only channel from an existing byte array is supported with:

     try (ByteArraySeekableByteChannel channel = ByteArraySeekableByteChannel.builder()
                   .setByteArray(...)
                   .setOpenOptions(StandardOpenOption.READ)
                   .get()) {
                   // read from channel
     }

Since:
  2.22.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new builder for `ByteArraySeekableByteChannel`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ByteArraySeekableByteChannel`
  `get()`
  Gets a result.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getByteArray, getChannel, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newChannelOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setChannel, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new builder for `ByteArraySeekableByteChannel`.

- ## Method Details

  - ### get

    public ByteArraySeekableByteChannel get() throws IOException
    Description copied from interface: `IOSupplier`
    Gets a result.
    Returns:
      a result.
    Throws:
      `IOException` - if an I/O error occurs.
    See Also:
      - `IOSupplier.getUnchecked()`